# Git Watcher
Git Watcher is a lightweight open-source project inspired in the original "Git
Watcher" program used by The Chromium Project and other projects which use
Monorail. When a change is merged and its commit references bugs, a message is
published in those bugs with a summary of the change (and optionally also
closing the bug).

## Set up
1. First, set up Gerrit. Install the
[events-gcloud-pubsub](https://gerrit.googlesource.com/plugins/events-gcloud-pubsub)
plugin and set it to publish messages to a Pub/Sub topic set up in your Google
Cloud project.
2. Set up Git Watcher:
   - Create a service account in your Google Cloud project.
   - Give it permission to use the Monorail API.
   - Give it appropiate permissions in each Monorail project.
   - Create subdirectory `//secret/` and download the service accounts
   credentials JSON file to `//secret/credentials.json`.
   - Run `make docker-prod` and `docker-compose up -d`.
